:-[data].
:-retractall(taoist_death(_,_,_,_,_)).
gui_death(Colour):-
	active(_,_,Colour,_,_,Player),
	new(S,string('%s ist tot!',Player)),
	get(S,value,V),
	send(@statuslabel,value,V),
	tile(5,X1,Y1,v),
	player_position(Colour,_),
	taoist_offset(Colour,Off,Off2),
	X is X1 + Off,
	Y is Y1 + Off2,
	player_figure(Figure,Player),
	death_offset(Figure,Xpos,YPos),
	assert(taoist_death(Colour,Player,Figure,X,Y)),
	send(@playground,display,Figure,point(Xpos,YPos)).


